LINUX.ORG.RU

Не запускается Google Earth


0

1

Имеется Google Earth собранный из AUR, Arch x86, KDE 4.5.2, ATI Radeon x1600.
При попытке запустить в консоли выдаёт следующее:

[xxx@unikum ~]$ googleearth 
Google Earth has caught signal 11.



We apologize for the inconvenience, but Google Earth has crashed.
 This is a bug in the program, and should never happen under normal
 circumstances. A bug report and debugging data have been written
 to this text file:

    /home/xxx/.googleearth/crashlogs/crashlog-4ccaf34b.txt

Please include this file if you submit a bug report to Google.
Содержимое crashlog-4ccaf34b.txt тут.

★★★★★

Похоже падает OpenGL в драйвере (судя по всему у вас ATI r300 с открытыми дровами)

Kosyak ★★★★ ()
Ответ на: комментарий от Kosyak
[xxx@unikum ~]$ lspci |grep VGA
01:00.0 VGA compatible controller: ATI Technologies Inc RV530 [Radeon X1600]
unikum ★★★★★ ()

на буке крэшится с такой ошибкой - http://pastebin.com/v2rxSFDF

01:00.0 VGA compatible controller: nVidia Corporation G84 [GeForce 8600M GT] (rev a1)
дрова - nvidia 260.19.12-1. Всё остальное также как в первом посте.

unikum ★★★★★ ()
Ответ на: комментарий от unikum

Запусти через strace и посмотри на чём именно валится.

Lumi ★★★★★ ()

На r200 тоже падает. Это гугловцы собрали фигню какую то, не могут уже сорцы открыть хотя бы, все равно то что в + версиях можно блокировать со стороны серверов.

anonymous ()
Ответ на: комментарий от anonymous

так на нвидии тоже валится, правда вывод совсем другой...

unikum ★★★★★ ()
Ответ на: комментарий от unikum

Он весь не нужен, только последние несколько строк.

open(«/home/xxx/.drirc», O_RDONLY) = 14
read(14, «<driconf>\n <device screen=\„0\“»..., 4096) = 1108
read(14, "", 4096) = 0
close(14) = 0
--- SIGSEGV (Segmentation fault) @ 0 (0) ---
mkdir(«/home/xxx/.googleearth/crashlogs», 0700) = -1 EEXIST (File exists)
time(NULL) = 1288375992
open(«/home/xxx/.googleearth/crashlogs/crashlog-4ccb0eb8.txt», O_WRONLY|O_CREAT|O_TRUNC, 0666) = 14
gettimeofday({1288375992, 598672}, NULL) = 0
fstat64(14, {st_mode=S_IFREG|0644, st_size=0, ...}) = 0

Хм... Удивительное рядом.
Попробуй стереть/переименовать /home/xxx/.drirc

Lumi ★★★★★ ()
Ответ на: комментарий от Lumi

Есть прогресс:) Увидел заставку и даже интерфейс на секунду.

В nthvbyfkt вывод такой:

[xxx@unikum ~]$ googleearth 
OpenOffice path before fixup is '/opt/libreoffice3'
OpenOffice path is '/opt/libreoffice3'
OpenOffice path before fixup is '/opt/libreoffice3'
OpenOffice path is '/opt/libreoffice3'

(process:25777): GLib-GObject-CRITICAL **: gtype.c:2710: You forgot to call g_type_init()

(process:25777): GLib-CRITICAL **: g_once_init_leave: assertion `initialization_value != 0' failed

(process:25777): GLib-GObject-CRITICAL **: g_object_new: assertion `G_TYPE_IS_OBJECT (object_type)' failed
Google Earth has caught signal 11.



We apologize for the inconvenience, but Google Earth has crashed.
 This is a bug in the program, and should never happen under normal
 circumstances. A bug report and debugging data have been written
 to this text file:

    /home/xxx/.googleearth/crashlogs/crashlog-4ccb657e.txt

Please include this file if you submit a bug report to Google.
[xxx@unikum ~]$ java version "1.6.0_20"
OpenJDK Runtime Environment (IcedTea6 1.9.1) (ArchLinux-6.b20_1.9.1-1-i686)
OpenJDK Client VM (build 17.0-b16, mixed mode)

Содержимое crashlog-4ccb628b.txt и вывод strace.

Непонятно, откуда вызывается эта команда

[xxx@unikum ~]$ java version "1.6.0_20"

unikum ★★★★★ ()
Ответ на: комментарий от unikum

open(«/lib/libuuid.so.1», O_RDONLY) = 28
read(28, «\177ELF\1\1\1\0\0\0\0\0\0\0\0\0\3\0\3\0\1\0\0\0@\216\25F4\0\0\0»..., 512) = 512
fstat64(28, {st_mode=S_IFREG|0755, st_size=14512, ...}) = 0
mmap2(0x46158000, 15688, PROT_READ|PROT_EXEC, MAP_PRIVATE|MAP_DENYWRITE, 28, 0) = 0x46158000
mmap2(0x4615b000, 4096, PROT_READ|PROT_WRITE, MAP_PRIVATE|MAP_FIXED|MAP_DENYWRITE, 28, 0x2) = 0x4615b000
close(28) = 0
munmap(0xa1d3d000, 147169) = 0
mmap2(NULL, 2097152, PROT_NONE, MAP_PRIVATE|MAP_ANONYMOUS, -1, 0) = 0xa1977000
mmap2(0xa1977000, 2097152, PROT_READ|PROT_WRITE, MAP_PRIVATE|MAP_FIXED|MAP_ANONYMOUS, -1, 0) = 0xa1977000
write(2, «\n(process:16397): GLib-GObject-C»..., 91) = 91
write(2, «\n(process:16397): GLib-CRITICAL »..., 100) = 100
write(2, «\n(process:16397): GLib-GObject-C»..., 108) = 108
--- SIGSEGV (Segmentation fault) @ 0 (0) ---

Судя по этому фрагменту...
В общем, покажи выхлоп команды
ldd /opt/googleearth/googleearth-bin
Потом сделай рутом ldconfig
И снова ldd /opt/googleearth/googleearth-bin

Для разнообразия можно ещё сделать такой файлик
/etc/ld.so.conf.d/googleearth.conf
С содержимым
/opt/googleearth
Снова сделать ldconfig
И сравнить ldd /opt/googleearth/googleearth-bin

После этой операции гуглоземлю можно пускать уже без скриптов, непосредственно командой /opt/googleearth/googleearth-bin

В общем у тебя какой-то бардак в системе с библиотеками и/или доступом к ним.
Чтобы проверить последнее предположение, можно запустить /opt/googleearth/googleearth-bin с правами root.

Вот выхлоп ldd /opt/googleearth/googleearth-bin после ldconfig с /etc/ld.so.conf.d/googleearth.conf с работающей гуглоземлёй.
Примерно такой же он должен быть и у тебя.

$ ldd /opt/googleearth/googleearth-bin
   linux-gate.so.1 => (0xffffe000)
   libgoogleearth_free.so => /opt/googleearth/libgoogleearth_free.so (0xf7663000)
   libgcc_s.so.1 => /lib32/libgcc_s.so.1 (0xf7648000)
   libstdc++.so.6 => /usr/lib/gcc/x86_64-pc-linux-gnu/4.5.2-pre9999/32/libstdc++.so.6 (0xf7559000)
   libQtCore.so.4 => /opt/googleearth/libQtCore.so.4 (0xf72f2000)
   libQtGui.so.4 => /opt/googleearth/libQtGui.so.4 (0xf6a6b000)
   libQtNetwork.so.4 => /opt/googleearth/libQtNetwork.so.4 (0xf6994000)
   libQtWebKit.so.4 => /opt/googleearth/libQtWebKit.so.4 (0xf5bd4000)
   libm.so.6 => /lib32/libm.so.6 (0xf5bae000)
   libc.so.6 => /lib32/libc.so.6 (0xf5a50000)
   libIGCore.so => /opt/googleearth/libIGCore.so (0xf5957000)
   libIGUtils.so => /opt/googleearth/libIGUtils.so (0xf592f000)
   libapiloader.so => /opt/googleearth/libapiloader.so (0xf592c000)
   libauth.so => /opt/googleearth/libauth.so (0xf58bf000)
   libbase.so => /opt/googleearth/libbase.so (0xf57e6000)
   libcommon.so => /opt/googleearth/libcommon.so (0xf5744000)
   libcommon_gui.so => /opt/googleearth/libcommon_gui.so (0xf572f000)
   libcommon_platform.so => /opt/googleearth/libcommon_platform.so (0xf572b000)
   libcommon_webbrowser.so => /opt/googleearth/libcommon_webbrowser.so (0xf56f4000)
   libcomponentframework.so => /opt/googleearth/libcomponentframework.so (0xf56ee000)
   libgeobase.so => /opt/googleearth/libgeobase.so (0xf53b1000)
   libgeobaseutils.so => /opt/googleearth/libgeobaseutils.so (0xf5360000)
   libge_net.so => /opt/googleearth/libge_net.so (0xf531c000)
   libmath.so => /opt/googleearth/libmath.so (0xf52c1000)
   libmoduleframework.so => /opt/googleearth/libmoduleframework.so (0xf52b5000)
   libport.so => /opt/googleearth/libport.so (0xf52ab000)
   librender.so => /opt/googleearth/librender.so (0xf524b000)
   libreporting.so => /opt/googleearth/libreporting.so (0xf5225000)
   libsgutil.so => /opt/googleearth/libsgutil.so (0xf5110000)
   libspatial.so => /opt/googleearth/libspatial.so (0xf4f86000)
   libX11.so.6 => /usr/lib32/libX11.so.6 (0xf4e6a000)
   libdl.so.2 => /lib32/libdl.so.2 (0xf4e66000)
   /lib/ld-linux.so.2 (0xf77d2000)
   libpthread.so.0 => /lib32/libpthread.so.0 (0xf4e4d000)
   libz.so.1 => /lib32/libz.so.1 (0xf4e39000)
   librt.so.1 => /lib32/librt.so.1 (0xf4e30000)
   libXrender.so.1 => /usr/lib32/libXrender.so.1 (0xf4e26000)
   libXext.so.6 => /usr/lib32/libXext.so.6 (0xf4e17000)
   libGL.so.1 => //usr/lib32/opengl/nvidia/lib/libGL.so.1 (0xf4d4d000)
   libGLU.so.1 => /usr/lib32/libGLU.so.1 (0xf4cdf000)
   libIGMath.so => /opt/googleearth/libIGMath.so (0xf4c95000)
   libfusioncommon.so => /opt/googleearth/libfusioncommon.so (0xf4c90000)
   libcurl.so.4 => /usr/lib32/libcurl.so.4 (0xf4c42000)
   libIGAttrs.so => /opt/googleearth/libIGAttrs.so (0xf4bd7000)
   libIGGfx.so => /opt/googleearth/libIGGfx.so (0xf484f000)
   libIGSg.so => /opt/googleearth/libIGSg.so (0xf4742000)
   libxcb.so.1 => /usr/lib32/libxcb.so.1 (0xf4728000)
   libXau.so.6 => /usr/lib32/libXau.so.6 (0xf4724000)
   libXdmcp.so.6 => /usr/lib32/libXdmcp.so.6 (0xf471d000)
   libnvidia-tls.so.260.19.12 => //usr/lib32/opengl/nvidia/lib/libnvidia-tls.so.260.19.12 (0xf471b000)
   libnvidia-glcore.so.260.19.12 => /usr/lib32/libnvidia-glcore.so.260.19.12 (0xf306b000)
   libldap-2.4.so.2 => /usr/lib32/libldap-2.4.so.2 (0xf302e000)
   libgssapi_krb5.so.2 => /usr/lib32/libgssapi_krb5.so.2 (0xf2ffe000)
   libkrb5.so.3 => /usr/lib32/libkrb5.so.3 (0xf2f4f000)
   libk5crypto.so.3 => /usr/lib32/libk5crypto.so.3 (0xf2f2b000)
   libcom_err.so.2 => /lib32/libcom_err.so.2 (0xf2f27000)
   libresolv.so.2 => /lib32/libresolv.so.2 (0xf2f12000)
   libssl.so.1.0.0 => /usr/lib32/libssl.so.1.0.0 (0xf2ec0000)
   libcrypto.so.1.0.0 => /usr/lib32/libcrypto.so.1.0.0 (0xf2d81000)
   liblber-2.4.so.2 => /usr/lib32/liblber-2.4.so.2 (0xf2d74000)
   libkrb5support.so.0 => /usr/lib32/libkrb5support.so.0 (0xf2d6c000)

Lumi ★★★★★ ()
Ответ на: комментарий от unikum

И ещё, судя по
$ ldd /opt/googleearth/googleearth-bin | grep libuuid | wc -l
0

У тебя очень большие проблемы именно не с гуглеземлёй, а в системе. Не исключено, что найдётся ещё куча валящихся приложений.
Система 64-битная? Все ли поставлены мультилибные пакеты для совместимости с 32-битными приложениями?

Lumi ★★★★★ ()
Ответ на: комментарий от unikum

Еще я добился такого же эффекта:

$ /opt/googleearth/googleearth-bin
Google Earth has caught signal 11.

Просто убрал из /opt/googleearth/ кутешные библиотеки и сделал ldconfig
Гуглеземля с системным куте из /usr/lib32 работать не захотела.

Lumi ★★★★★ ()
Ответ на: комментарий от Lumi

x86, в первом посте специально написал. Да, я просматривал вывод, там он много на что ругается. Каких-либо проблем в системе и неработоспособных приложений не замечал.

unikum ★★★★★ ()
Ответ на: комментарий от unikum

/etc/ld.so.conf.d/googleearth.conf
С содержимым
/opt/googleearth

ldconfig
И покажи ldd /opt/googleearth/googleearth-bin

$ ldd /opt/googleearth/googleearth-bin | grep googleearth
   libgoogleearth_free.so => /opt/googleearth/libgoogleearth_free.so (0xf7658000)
   libQtCore.so.4 => /opt/googleearth/libQtCore.so.4 (0xf72e7000)
   libQtGui.so.4 => /opt/googleearth/libQtGui.so.4 (0xf6a60000)
   libQtNetwork.so.4 => /opt/googleearth/libQtNetwork.so.4 (0xf6989000)
   libQtWebKit.so.4 => /opt/googleearth/libQtWebKit.so.4 (0xf5bc9000)
   libIGCore.so => /opt/googleearth/libIGCore.so (0xf594c000)
   libIGUtils.so => /opt/googleearth/libIGUtils.so (0xf5924000)
   libapiloader.so => /opt/googleearth/libapiloader.so (0xf5921000)
   libauth.so => /opt/googleearth/libauth.so (0xf58b4000)
   libbase.so => /opt/googleearth/libbase.so (0xf57db000)
   libcommon.so => /opt/googleearth/libcommon.so (0xf5739000)
   libcommon_gui.so => /opt/googleearth/libcommon_gui.so (0xf5724000)
   libcommon_platform.so => /opt/googleearth/libcommon_platform.so (0xf5720000)
   libcommon_webbrowser.so => /opt/googleearth/libcommon_webbrowser.so (0xf56e9000)
   libcomponentframework.so => /opt/googleearth/libcomponentframework.so (0xf56e3000)
   libgeobase.so => /opt/googleearth/libgeobase.so (0xf53a6000)
   libgeobaseutils.so => /opt/googleearth/libgeobaseutils.so (0xf5355000)
   libge_net.so => /opt/googleearth/libge_net.so (0xf5311000)
   libmath.so => /opt/googleearth/libmath.so (0xf52b6000)
   libmoduleframework.so => /opt/googleearth/libmoduleframework.so (0xf52aa000)
   libport.so => /opt/googleearth/libport.so (0xf52a0000)
   librender.so => /opt/googleearth/librender.so (0xf5240000)
   libreporting.so => /opt/googleearth/libreporting.so (0xf521a000)
   libsgutil.so => /opt/googleearth/libsgutil.so (0xf5105000)
   libspatial.so => /opt/googleearth/libspatial.so (0xf4f7b000)
   libIGMath.so => /opt/googleearth/libIGMath.so (0xf4c8a000)
   libfusioncommon.so => /opt/googleearth/libfusioncommon.so (0xf4c85000)
   libIGAttrs.so => /opt/googleearth/libIGAttrs.so (0xf4bcc000)
   libIGGfx.so => /opt/googleearth/libIGGfx.so (0xf4844000)
   libIGSg.so => /opt/googleearth/libIGSg.so (0xf4737000)

Сравни с тем, что дал я.
Гуглеземля очень чувствительна к «не своим» библиотекам.

Lumi ★★★★★ ()
Ответ на: комментарий от Lumi

на гугловском сайте поддержки есть несколько сообщений о падениях на линуксах, но вроде бы содержание логов разные, да и решения там толком никто не предложил. Где встречал отзывы о том, что версия 5.1.* работали нормально.

unikum ★★★★★ ()
Ответ на: комментарий от Lumi

Сделал:

# echo /opt/googleearth > /etc/ld.so.conf.d/googleearth.conf
# ldconfig
$ ldd /opt/google-earth/googleearth-bin | grep googleearth
        libgoogleearth_free.so => not found
$ ldd /opt/google-earth/googleearth-bin
        linux-gate.so.1 =>  (0xb7870000)
        libgoogleearth_free.so => not found
        libgcc_s.so.1 => /usr/lib/libgcc_s.so.1 (0x45f86000)
        libstdc++.so.6 => /usr/lib/libstdc++.so.6 (0x45e89000)
        libQtCore.so.4 => /usr/lib/libQtCore.so.4 (0x46181000)
        libQtGui.so.4 => /usr/lib/libQtGui.so.4 (0x469d5000)
        libQtNetwork.so.4 => /usr/lib/libQtNetwork.so.4 (0x464c3000)
        libQtWebKit.so.4 => /usr/lib/libQtWebKit.so.4 (0x48522000)
        libm.so.6 => /lib/libm.so.6 (0xb7825000)
        libc.so.6 => /lib/libc.so.6 (0xb76d9000)
        /lib/ld-linux.so.2 (0xb7871000)
        libpthread.so.0 => /lib/libpthread.so.0 (0xb76bf000)
        libz.so.1 => /usr/lib/libz.so.1 (0x45ab7000)
        libdl.so.2 => /lib/libdl.so.2 (0xb76bb000)
        libgthread-2.0.so.0 => /usr/lib/libgthread-2.0.so.0 (0x45be3000)
        librt.so.1 => /lib/librt.so.1 (0xb76b1000)
        libglib-2.0.so.0 => /usr/lib/libglib-2.0.so.0 (0x45b12000)
        libpng14.so.14 => /usr/lib/libpng14.so.14 (0x45e61000)
        libfreetype.so.6 => /usr/lib/libfreetype.so.6 (0x45d9a000)
        libgobject-2.0.so.0 => /usr/lib/libgobject-2.0.so.0 (0x45d2b000)
        libSM.so.6 => /usr/lib/libSM.so.6 (0x4615e000)
        libICE.so.6 => /usr/lib/libICE.so.6 (0xb7699000)
        libXrender.so.1 => /usr/lib/libXrender.so.1 (0x45f7c000)
        libfontconfig.so.1 => /usr/lib/libfontconfig.so.1 (0x45e21000)
        libXext.so.6 => /usr/lib/libXext.so.6 (0x45e51000)
        libX11.so.6 => /usr/lib/libX11.so.6 (0x45bf5000)
        libssl.so.1.0.0 => /usr/lib/libssl.so.1.0.0 (0x46428000)
        libcrypto.so.1.0.0 => /usr/lib/libcrypto.so.1.0.0 (0x45fc5000)
        libsqlite3.so.0 => /usr/lib/libsqlite3.so.0 (0x47f7a000)
        libpcre.so.0 => /lib/libpcre.so.0 (0x45ad9000)
        libuuid.so.1 => /lib/libuuid.so.1 (0x46158000)
        libexpat.so.1 => /usr/lib/libexpat.so.1 (0x45d72000)
        libxcb.so.1 => /usr/lib/libxcb.so.1 (0x45d11000)
        libXau.so.6 => /usr/lib/libXau.so.6 (0x45be9000)
        libXdmcp.so.6 => /usr/lib/libXdmcp.so.6 (0x45bee000)

unikum ★★★★★ ()
Ответ на: комментарий от Lumi

> Просто убрал из /opt/googleearth/ кутешные библиотеки

вот про это забыл.

unikum ★★★★★ ()
Ответ на: комментарий от Lumi

Выпиливать всё, что содержит буквы QT в /opt/googleearth/?
А потом это?

# echo /opt/googleearth > /etc/ld.so.conf.d/googleearth.conf
# ldconfig
Щас буду пробовать.

unikum ★★★★★ ()

Показывает заставку, показывает основное окно, на его фоне появляется всплывающее окно и приложение крашится.

00:02.0 VGA compatible controller: Intel Corporation Mobile 945GME Express Integrated Graphics Controller (rev 03)

Debian Sid 32

Возникает вопрос - а есть тут кто-нибудь, у кого оно вообще работает?

debian6 ()
Ответ на: комментарий от unikum

> Выпиливать всё, что содержит буквы QT в /opt/googleearth/?
Ни в коем случае! Наоборот. Я привёл список зависимостей, которые должны указывать именно в /opt/googleearth, а не на системные библиотеки.

Lumi ★★★★★ ()
Ответ на: комментарий от debian6

> Возникает вопрос - а есть тут кто-нибудь, у кого оно вообще работает?

У меня на работе на ленни работает. И тоже 945G, правда не Mobile.
Единственное, нет русских букв, но мне лень было разбираться с этим и я людям сделал запуск с LANG=C

Lumi ★★★★★ ()
Ответ на: комментарий от Lumi

Возикла некоторая путаница с путями. Создал конфиг, вывод теперь такой:

$ ldd /opt/google-earth/googleearth-bin | grep google
        libgoogleearth_free.so => /opt/google-earth/libgoogleearth_free.so (0xb765b000)
        libQtCore.so.4 => /opt/google-earth/libQtCore.so.4 (0xb73f3000)
        libQtGui.so.4 => /opt/google-earth/libQtGui.so.4 (0xb6b6c000)
        libQtNetwork.so.4 => /opt/google-earth/libQtNetwork.so.4 (0xb6a95000)
        libQtWebKit.so.4 => /opt/google-earth/libQtWebKit.so.4 (0xb5cd5000)
        libIGCore.so => /opt/google-earth/libIGCore.so (0xb5a6b000)
        libIGUtils.so => /opt/google-earth/libIGUtils.so (0xb5a43000)
        libapiloader.so => /opt/google-earth/libapiloader.so (0xb5a40000)
        libauth.so => /opt/google-earth/libauth.so (0xb59d3000)
        libbase.so => /opt/google-earth/libbase.so (0xb58fa000)
        libcommon.so => /opt/google-earth/libcommon.so (0xb5858000)
        libcommon_gui.so => /opt/google-earth/libcommon_gui.so (0xb5843000)
        libcommon_platform.so => /opt/google-earth/libcommon_platform.so (0xb583f000)
        libcommon_webbrowser.so => /opt/google-earth/libcommon_webbrowser.so (0xb5808000)
        libcomponentframework.so => /opt/google-earth/libcomponentframework.so (0xb5802000)
        libgeobase.so => /opt/google-earth/libgeobase.so (0xb54c5000)
        libgeobaseutils.so => /opt/google-earth/libgeobaseutils.so (0xb5474000)
        libge_net.so => /opt/google-earth/libge_net.so (0xb5430000)
        libmath.so => /opt/google-earth/libmath.so (0xb53d5000)
        libmoduleframework.so => /opt/google-earth/libmoduleframework.so (0xb53c9000)
        libport.so => /opt/google-earth/libport.so (0xb53bf000)
        librender.so => /opt/google-earth/librender.so (0xb535f000)
        libreporting.so => /opt/google-earth/libreporting.so (0xb5339000)
        libsgutil.so => /opt/google-earth/libsgutil.so (0xb5224000)
        libspatial.so => /opt/google-earth/libspatial.so (0xb509a000)
        libGLU.so.1 => /opt/google-earth/libGLU.so.1 (0xb4f9f000)
        libIGMath.so => /opt/google-earth/libIGMath.so (0xb4f55000)
        libfusioncommon.so => /opt/google-earth/libfusioncommon.so (0xb4f50000)
        libcurl.so.4 => /opt/google-earth/libcurl.so.4 (0xb4f1d000)
        libIGAttrs.so => /opt/google-earth/libIGAttrs.so (0xb4eb2000)
        libIGGfx.so => /opt/google-earth/libIGGfx.so (0xb4b2a000)
        libIGSg.so => /opt/google-earth/libIGSg.so (0xb4a1d000)

Но всё равно не работает. Гугловский крэш лог показывает примерно тоже. Бинарник от рута не запускается, пшет: No protocol specified.

unikum ★★★★★ ()
Ответ на: комментарий от unikum

> Бинарник от рута не запускается, пшет: No protocol specified.

xhost +

Разница у нас только в libcurl.so.4 и libGLU.so.1
Попробуйте от рута и если не запустится, то интересно глянуть на strace в этом случае.

Lumi ★★★★★ ()
Ответ на: комментарий от Lumi

У меня, когда раньше работала, тоже русских букв не появлялось. А сейчас появляются, менюшка успевает загрузиться, а сама земля, видимо, сегфолтится. Впрочем, не больно то и хотелось. :)

debian6 ()
Ответ на: комментарий от debian6

У меня 5.2 тоже сегфолтилось. 5.1 нормально работало. Установил 5.2, удалил все языки кроме английского - заработало.

Bod ★★★★ ()
Ответ на: комментарий от Bod

Хм, LC_ALL=C LANG=C googleearth работает. После этого и просто googleearth стало работать, на русском языке, но с ТААКИМИ шрифтами :(

debian6 ()
Ответ на: комментарий от debian6

> на русском языке, но с ТААКИМИ шрифтами :(

Поэтому я русский тупо и удалил :) Один хрен - всё полезное пишут транслитом.

Bod ★★★★ ()
Ответ на: комментарий от debian6

Кстати, почему сколько лет и сколько операционных систем не пробовал, Владивосток всегда закрыт каким-то мутным квадратом?

debian6 ()
Ответ на: комментарий от unikum

После этого отвалились кеды:) Пришлось удлаить /etc/ld.so.conf.d/googleearth.conf и делать ldconfig.

unikum ★★★★★ ()
Ответ на: комментарий от unikum

> После этого отвалились кеды:)

Что-то очень сильно в консерватории не так.

$ ldd /usr/bin/konsole | grep opt | wc -l
0
$ ldd /usr/bin/kmail | grep opt | wc -l
0

У меня на кеды это никак не влияет.

Lumi ★★★★★ ()
Ответ на: комментарий от unikum

А, ну да. Опять забыл. У тебя же убогие 32 бита.

Lumi ★★★★★ ()
Ответ на: комментарий от Lumi

Ну как-то до сих пор проблем не испытывал, скорее пишут наоборот, что с x86_64 больше проблем. Памяти у меня 2Гб, прогами от которых есть профит в x86_64 я пользуюсь редко, поэтому не вижу смысла переходить...

unikum ★★★★★ ()
Вы не можете добавлять комментарии в эту тему. Тема перемещена в архив.